#ifndef _USBADM_H
#define _USBADM_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <conf.h>

struct action {
	char *name;
	char *desc;
	char *usage;
	int (*handler)(int, char **);
};

struct action *find_action (char *name);

void print_usage (char *name, char **av);
int help (int ac, char **av);
int addserial (int ac, char **av);
int keygen (int ac, char **av);
int cipher (int ac, char **av);

#endif
